# CollectiveInvoiceRun

Sammelrechnungsläufe

## POST /erp/documents/additional-functions/collective-invoice-runs

> Startet den Hintergrundjob zum Erzeugen eines Sammelrechnungslaufs

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"CollectiveInvoiceRun","description":"Sammelrechnungsläufe"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/documents/additional-functions/collective-invoice-runs":{"post":{"tags":["CollectiveInvoiceRun"],"summary":"Startet den Hintergrundjob zum Erzeugen eines Sammelrechnungslaufs","operationId":"startRun","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/erp-document-SalesMultiCollectiveInvoiceRequest"}}},"required":true},"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"422":{"description":"invalid request (e.g. Periodicity MANUAL or missing)","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"erp-document-SalesMultiCollectiveInvoiceRequest":{"properties":{"accountVariables":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"},"accountQueryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"accountIdsToIgnore":{"type":"array","description":"IDs von Accounts, die (nach der Template-Auflösung) ignoriert werden sollen.","items":{"type":"integer","format":"int64","description":"IDs von Accounts, die (nach der Template-Auflösung) ignoriert werden sollen."}},"accountIdsToAdd":{"type":"array","description":"IDs von Accounts, die explizit verarbeitet werden sollen. Wenn gesetzt, werden Predicate und Variables nicht ausgewertet.","items":{"type":"integer","format":"int64","description":"IDs von Accounts, die explizit verarbeitet werden sollen. Wenn gesetzt, werden Predicate und Variables nicht ausgewertet."}},"deliveryDocumentVariables":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitutionList"},"deliveryDocumentQueryPredicate":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"},"dueDate":{"type":"string","format":"date","description":"Stichtag des Laufs. Nur Accounts mit Customer#dueDateSchedule.dueDate kleiner/gleich diesem Datum werden verarbeitet."}},"required":["dueDate"]},"common-cunit-QueryPresetVariableSubstitutionList":{"description":"Werte von Variablen","properties":{"variableSubstitutions":{"type":"array","description":"Die Variablenbelegungen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariableSubstitution"}}}},"common-cunit-QueryPresetVariableSubstitution":{"description":"Die Variablenbelegungen","properties":{"variable":{"$ref":"#/components/schemas/common-cunit-QueryPresetVariable"},"values":{"type":"array","description":"Die einzusetzenden Werte","items":{"type":"string","description":"Die einzusetzenden Werte"}}}},"common-cunit-QueryPresetVariable":{"description":"Die zu ersetzende Variable","properties":{"path":{"type":"string","description":"Der pfad, der dieses Attribut eindeutig beschreibt"},"definition":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}],"readOnly":true},"mandatory":{"type":"boolean","description":"Ob die Variable ein Pflichtfeld ist oder nicht"},"variableName":{"type":"string","description":"Name der Variablen"},"visible":{"type":"boolean","default":true,"description":"Handelt es sich um eine sichtbare Variable?"},"alignX":{"type":"integer","format":"int32","description":"Anordnung im UI - X-Koordinate"},"alignY":{"type":"integer","format":"int32","description":"Anordnung im UI - Y-Koordinate"},"alignWidth":{"type":"integer","format":"int32","description":"Anordnung im UI - Breite"},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"allowDialogMultipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"core-cunit-CuAttribute":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"attribute":{"type":"string","description":"name des attributes der das ergebnis enthält"},"path":{"type":"string","description":"der pfad, der dieses attribut eindeutig beschreibt"},"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"parentDisplayName":{"type":"string","description":"der Name des Referenzierenden Feldes"},"resultable":{"type":"boolean","default":true,"description":"kann dieses Feld ein Ergebnisfeld sein"},"filterable":{"type":"boolean","default":true,"description":"kann nach diesem feld gefiltert werden"},"sortable":{"type":"boolean","default":true,"description":"ist dieses Feld sortierbar"},"visible":{"type":"boolean","default":true,"description":"soll dieses Feld angezeigt werden"},"functions":{"type":"array","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)","items":{"type":"string","description":"angewendete funktionen (wenn das als Result MetaData verwendet wird)"}},"sortDirection":{"type":"string","description":"Info, wie diese spalte sortiert worden ist"},"constraint":{"$ref":"#/components/schemas/core-cunit-CuAttributeConstraint"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"modelType":{"type":"string","description":"Attribut gehört zum Modelltyp 'statisch' oder 'dynamisch'","enum":["STATIC","DYNAMIC"],"readOnly":true},"headers":{"type":"array","description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","items":{"$ref":"#/components/schemas/core-cunit-CuAttribute.HeaderGroup"},"readOnly":true}}}]},"core-cunit-MetaContent":{"description":"Definition dieser Variable","discriminator":{"propertyName":"_type"},"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuMeta"},{"$ref":"#/components/schemas/core-cunit-CuAttribute"}],"properties":{"_type":{"type":"string"}},"required":["_type"]},"core-cunit-CuMeta":{"allOf":[{"$ref":"#/components/schemas/core-cunit-MetaContent"},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"},"value":{"type":"array","description":"spaltenbeschreibung dieser zelle (bei verschachtelung)","items":{"oneOf":[{"$ref":"#/components/schemas/core-cunit-CuAttribute"},{"$ref":"#/components/schemas/core-cunit-CuMeta"}]}}}},{"type":"object","properties":{"definition":{"$ref":"#/components/schemas/core-cunit-CuAttribute"}}}]},"core-cunit-CuAttributeConstraint":{"description":"constraints für dieses Attribut","properties":{"minLength":{"type":"integer","format":"int32","description":"Minimal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"maxLength":{"type":"integer","format":"int32","description":"Maximal-Länge (von Zeichenketten oder Arrays)","readOnly":true},"minValue":{"type":"integer","format":"int64","description":"minimaler Wert","readOnly":true},"includeMinValue":{"type":"boolean","description":"ist der minimale Wert inklusive?","readOnly":true},"maxValue":{"type":"integer","format":"int64","description":"maximaler Wert","readOnly":true},"includeMaxValue":{"type":"boolean","description":"ist der maximale Wert inklusive?","readOnly":true},"notNull":{"type":"boolean","default":false,"description":"ist der Wert 'null' verboten?","readOnly":true},"notBlank":{"type":"boolean","description":"Bei Strings: ist ein String nur aus Whitespace verboten?","readOnly":true}}},"core-cunit-CuAttributeDataType":{"description":"data-type für dieses Attribut (falls dataTypeIdentifier leer ist)","properties":{"identifier":{"type":"string","description":"Datentyp-identifier","readOnly":true},"jsType":{"type":"string","description":"welcher Typ ist es","readOnly":true},"objectRefIdentifier":{"type":"string","description":"bei Object_Ref: welcher Typ ist es genau","readOnly":true},"filterOptions":{"$ref":"#/components/schemas/core-cunit-CuAttributeFilterOptions"},"functions":{"type":"array","description":"welche Funktionen sind erlaubt?","items":{"type":"string","description":"welche Funktionen sind erlaubt?"},"readOnly":true},"predicateOperations":{"type":"array","description":"welche Operations sind erlaubt?","items":{"type":"string","description":"welche Operations sind erlaubt?","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"readOnly":true}}},"core-cunit-CuAttributeFilterOptions":{"description":"CUnit Attribut Filter Optionen","properties":{"filterValues":{"type":"array","description":"Mögliche Filterwerte","items":{"type":"string","description":"Mögliche Filterwerte"}},"filterDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"multipleChoice":{"type":"boolean","default":false,"description":"Kann eine Mehrfachauswahl erfolgen?"}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"},"core-cunit-CuAttribute.HeaderGroup":{"description":"bei einem gruppierten Header (e.g. CrossTable) werden hier die einzelnen gruppen beschrieben","properties":{"displayName":{"type":"string","description":"der Name dieses Feldes"},"displayNameOverride":{"type":"boolean","default":false,"description":"der Name dieses Feldes wurde überschrieben (alias oder funktion)"},"dataType":{"$ref":"#/components/schemas/core-cunit-CuAttributeDataType"},"dataTypeIdentifier":{"type":"string","description":"data-type-identifier für dieses Attribut (falls dataType leer ist)","readOnly":true},"groupDisplayName":{"type":"string","description":"der Name der Gruppe, dieses Feldes"},"data":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}}},"common-cunit-QueryPresetPredicate":{"description":"Bedingungen zur Selektion von Lagerplätzen","properties":{"type":{"type":"string","description":"die Operation für diesen Filter","enum":["JUNCTION","FILTER"]},"operator":{"type":"string","description":"operator","enum":["AND","OR","EQUALS","NOT_EQUALS","LIKE","NOT_LIKE","STARTS_WITH","ENDS_WITH","CONTAINS","NOT_CONTAINS","GREATER_THAN","GREATER_THAN_EQUALS","LESS_THAN","LESS_THAN_EQUALS","IN","NOT_IN","RANGE","NOT_RANGE","IS_NULL","IS_NOT_NULL","IS_NULL_OR_EQUALS","EXISTS","NOT_EXISTS"]},"children":{"type":"array","description":"(bei junction) child-definitionen","items":{"$ref":"#/components/schemas/common-cunit-QueryPresetPredicate"}},"property":{"type":"string","description":"filter property"},"values":{"type":"array","description":"filter werte","items":{"type":"string","description":"filter werte"}},"visible":{"type":"boolean","default":true,"description":"Sichtbarkeit bei Variablen"},"functions":{"type":"array","description":"Eine SQL-Funktion, die im Predicate angewendet wird","items":{"type":"string","description":"Eine SQL-Funktion, die im Predicate angewendet wird"}}},"required":["operator","type"]},"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}}}}}
```

## POST /erp/documents/additional-functions/collective-invoice-runs/{runId}/dissolve

> Storniert den Sammelrechnungslauf

```json
{"openapi":"3.1.0","info":{"title":"OpenAPI definition","version":"2026.20.4"},"tags":[{"name":"CollectiveInvoiceRun","description":"Sammelrechnungsläufe"}],"servers":[{"url":"http://10.102.25.252:32790/api","description":"Generated server url"}],"paths":{"/erp/documents/additional-functions/collective-invoice-runs/{runId}/dissolve":{"post":{"tags":["CollectiveInvoiceRun"],"summary":"Storniert den Sammelrechnungslauf","operationId":"dissolve","parameters":[{"name":"runId","in":"path","description":"collective invoice run identifier","required":true,"schema":{"type":"integer","format":"int64"}}],"responses":{"200":{"description":"successful operation","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-api-OperationMessage"}}}},"422":{"description":"run already processed or already canceled","content":{"*/*":{"schema":{"$ref":"#/components/schemas/core-error-ApiError"}}}}}}}},"components":{"schemas":{"core-api-OperationMessage":{"properties":{"context":{"type":"string","description":"message context"},"messageValue":{"type":"string","description":" message"}}},"core-error-ApiError":{"properties":{"instance":{"type":"string","description":"the resource that produced the error","readOnly":true},"trackingId":{"type":"string","description":"Internal tracking number for this Error","readOnly":true},"timeOfOccurence":{"type":"string","format":"date-time","description":"Internal timestamp, when this error happened","readOnly":true},"errors":{"$ref":"#/components/schemas/core-error-ApiError.Errors"},"decisions":{"type":"array","description":"all decisions, we need to take care of","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision"},"readOnly":true,"uniqueItems":true},"httpStatus":{"type":"integer","format":"int32","description":"HTTP-Status code"},"debug-info-url":{"type":"string","format":"uri","description":"optional url to get a more detailed stack trace","readOnly":true}},"required":["decisions","errors","instance","timeOfOccurence","trackingId"]},"core-error-ApiError.Errors":{"description":"all occured errors","properties":{"fieldErrors":{"type":"object","additionalProperties":{"type":"array","description":"One or more validation errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true},"description":"One or more validation errors","readOnly":true},"services":{"type":"array","description":"One or more generel service errors","items":{"$ref":"#/components/schemas/core-error-ApiErrorDetail"},"readOnly":true,"uniqueItems":true}},"readOnly":true,"required":["fieldErrors","services"]},"core-error-ApiErrorDetail":{"description":"One or more generel service errors","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"property":{"type":"string","description":"property that has a constraint violation  (optional)"}},"readOnly":true},"core-api-LocalizeableMessage":{"description":"localizeable message","properties":{"messageCode":{"type":"string","description":"Internal unique identifier/key for this message"},"messageParameters":{"type":"object","additionalProperties":{"type":"object","description":"list of parameters to fill a formattable message"},"description":"list of parameters to fill a formattable message"},"formattedMessage":{"type":"string","description":"formatted message (default language)"}}},"core-error-ApiErrorDecision":{"description":"all decisions, we need to take care of","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"title":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"multipleAnswersAllowed":{"type":"boolean","default":false,"description":"true, if an array of answers is required","readOnly":true},"textInput":{"type":"boolean","default":false,"description":"true, if text input instead of decisions is required","readOnly":true},"options":{"type":"array","description":"possible options for this decision","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOption"},"readOnly":true},"answerProperty":{"type":"string","description":"property to fill the decision into","readOnly":true},"answerPropertyType":{"type":"string","description":"type of the target property","enum":["FIELD","PARAMETER"],"readOnly":true},"searchDialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"}},"readOnly":true},"core-error-ApiErrorDecision.DecisionOption":{"description":"possible options for this decision","properties":{"message":{"$ref":"#/components/schemas/core-api-LocalizeableMessage"},"value":{"type":"string","description":"value for this decision","readOnly":true},"defaultOption":{"type":"boolean","default":false,"description":"default option","readOnly":true},"searchDialogs":{"type":"array","description":"Zu verwendende Search-Dialogs","items":{"$ref":"#/components/schemas/core-error-ApiErrorDecision.DecisionOptionSearchDialog"},"readOnly":true}}},"core-error-ApiErrorDecision.DecisionOptionSearchDialog":{"description":"Zu verwendende Search-Dialogs","properties":{"dialog":{"$ref":"#/components/schemas/unknownservice-unknownmodule-JsonNode"},"answerKey":{"type":"string","description":"Schlüssel für das Ergebnis vom Search-Dialog","readOnly":true}}},"unknownservice-unknownmodule-JsonNode":{"description":"Search-Dialog"}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developer.vario-software.de/api-reference/collectiveinvoicerun.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
